Bug 7487 - SMB2: rename fails.
Summary: SMB2: rename fails.
Status: RESOLVED FIXED
Alias: None
Product: Samba 3.6
Classification: Unclassified
Component: SMB2 (show other bugs)
Version: unspecified
Hardware: x64 Solaris
: P3 critical
Target Milestone: ---
Assignee: Volker Lendecke
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-01 17:47 UTC by Ira Cooper
Modified: 2010-07-02 13:30 UTC (History)
1 user (show)

See Also:


Attachments
proposed patch so rename works. (950 bytes, patch)
2010-06-01 17:50 UTC, Ira Cooper
samba: review? (jra)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ira Cooper 2010-06-01 17:47:38 UTC
In a command window, rename fails to work on a SMB2 share.

The enclosed patch removes some code Jeremy suspected was bogus in comments, and matches the exact symptoms we saw.

Now the behavior matches other implementations we have access to, as far as rename goes.
Comment 1 Ira Cooper 2010-06-01 17:50:10 UTC
Created attachment 5756 [details]
proposed patch so rename works.

This is the suggested fix.
Comment 2 Jeremy Allison 2010-06-01 19:10:34 UTC
Perfectly correct - pushed - thanks!

Jeremy.
Comment 3 Karolin Seeger 2010-06-11 04:25:37 UTC
Change components
Comment 4 Ira Cooper 2010-07-02 08:18:00 UTC
Can we close this bug :).
Comment 5 Jeremy Allison 2010-07-02 13:30:00 UTC
Fixed for 3.6.0.
Jeremy.